<?php

require_once "../controladores/servicios.controlador.php";
require_once "../modelos/servicios.modelo.php";

class AjaxServicios{

	/*=============================================
	EDITAR SERIVICIO
	=============================================*/

	public $idtipo_servicios;
	public $estadoServicios;
	public $zonaServicios;

	public function ajaxEditarServicios(){

		$item = "idtipo_servicios";
		$valor = $this->idtipo_servicios;

		$respuesta = ControladorServicios::ctrMostrarServicios($item, $valor);

		echo json_encode($respuesta);


	}


	public function ajaxMostrarContratosServicios(){

		$item = "idtipo_servicios";
		$valor = $this->idtipo_servicios;
		$valor2 = $this->estadoServicios;
		$valor3 = $this->zonaServicios;
		$respuesta = ControladorServicios::ctrMostrarContratosServicios($item, $valor,$valor2,$valor3);

		echo json_encode($respuesta);


	}
	public function ajaxActivarServicio($activarServicio,$activarId){

		$tabla = "tipo_servicios";

		$item1 = "estado";
		$valor1 = $activarServicio;

		$item2 = "idtipo_servicios";
		$valor2 = $activarId;

		$respuesta = ModeloServicios::mdlActualizarEstadoServicio($tabla, $item1, $valor1, $item2, $valor2);
		echo json_encode($respuesta);
	}

	public function ajaxActivarServicioContrato($activarServicio,$activarId){

		$tabla = "servicios";

		$item1 = "estado";
		$valor1 = $activarServicio;

		$item2 = "idservicios";
		$valor2 = $activarId;

		$respuesta = ModeloServicios::mdlActualizarEstadoServicio($tabla, $item1, $valor1, $item2, $valor2);
		echo json_encode($respuesta);
	}



}

/*=============================================
EDITAR PERSONA
=============================================*/

if(isset($_POST["idtipo_servicios"])){

	$tipo_servicios = new AjaxServicios();
	$tipo_servicios -> idtipo_servicios = $_POST["idtipo_servicios"];
	$tipo_servicios -> ajaxEditarServicios();

}

/* ============================================
	REALIZAMOS CONSULTAS POR SELECT
	============================================*/
if(isset($_POST["tipoServicios"])){

	$tipo_servicios = new AjaxServicios();
	$tipo_servicios -> idtipo_servicios = $_POST["tipoServicios"];
	$tipo_servicios -> estadoServicios = $_POST["estadosServicios"];
	$tipo_servicios -> zonaServicios = $_POST["zonaServicios"];
	$tipo_servicios -> ajaxMostrarContratosServicios();

}

if(isset($_POST["activarServicio"])){

	$tipo_servicios = new AjaxServicios();
	$activarPersona = $_POST["activarServicio"];
	$activarId = $_POST["activarId"];
	$tipo_servicios -> ajaxActivarServicio($activarPersona,$activarId);

}

/*=============================================
ACTIVAR SERVICIO
=============================================*/

if(isset($_POST["activarServicioContrato"])){

	$tipo_servicios = new AjaxServicios();
	$activarPersona = $_POST["activarServicioContrato"];
	$activarId = $_POST["activarId"];
	$tipo_servicios -> ajaxActivarServicioContrato($activarPersona,$activarId);

}
